clear all
close all
clc

%Jonas Tveit Hinna
%Script that plots H_array-data from .mat-files in OpenModelica

%Remember to filter variables as "pipe.H_array.*" in the output tab in OME

%Load data from OME-file
load('C:\Users\jonasthi\AppData\Local\Temp\OpenModelica\OMEdit\OpenWPL.Tests.Pipe_test_v12\OpenWPL.Tests.Pipe_test_v12_res.mat');

N=data_1(89,1);     %space as used in OME
T=data_1(90,1);     %time as used in OME
dt=data_1(52,1);    %time step dt=dx/da
size = size(data_2,1);

counter = 1;
for i=4:(N-1):size
    H(counter)=data_2(i,1);
    counter=counter+1;
end

x_vector=linspace(1,length(H),length(H))*dt;

plot(x_vector,H,'k');
%title('Pressure pulse at the valve for a non-uniform cross-sectional area without f');
title('Semi-square pressure pulse at the valve with friction f*=100f');
%title('Square pressure pulse at the valve without friction');
xlabel('Time (s)');
ylabel('Hydraulic head (m)');
yline(max(H),':k');
yline(0,'--k');
yline(min(H),':k');
ylim([min(H)-500 max(H)+500]);
xlim([0 max(x_vector)]);
%legend('k');