within OpenWPL.Tests;

model Pipe_test_v1
  extends OpenWPL.Icons.Pipe;
  OpenWPL.Components.Pipe pipe(H = 1)  annotation(
    Placement(visible = true, transformation(origin = {2, -8}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  OpenHPL.Waterway.Reservoir Tanks annotation(
    Placement(visible = true, transformation(origin = {-50, -8}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  OpenHPL.Waterway.Reservoir Swamp(UseInFlow = true)  annotation(
    Placement(visible = true, transformation(origin = {56, -8}, extent = {{10, -10}, {-10, 10}}, rotation = 0)));
  inner OpenHPL.Data data annotation(
    Placement(visible = true, transformation(origin = {2, 18}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
equation
  connect(Tanks.o, pipe.i) annotation(
    Line(points = {{-40, -8}, {-8, -8}, {-8, -8}, {-8, -8}}, color = {28, 108, 200}));
  connect(pipe.o, Swamp.o) annotation(
    Line(points = {{12, -8}, {46, -8}, {46, -8}, {46, -8}}, color = {28, 108, 200}));
annotation(
    Icon);
end Pipe_test_v1;
